package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.JobControlDO;
import com.abssqr.plat.common.dal.mysql.auto.mapper.JobControlDOMapper;

/**
* The Table ABS_JOB_CONTROL.
* ABS_JOB_CONTROL
*/
@Repository
public class JobControlDAO{

    @Autowired
    private JobControlDOMapper jobControlDOMapper;

    /**
     * desc:插入表:ABS_JOB_CONTROL.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(JobControlDO entity){
        return jobControlDOMapper.insert(entity);
    }
    /**
     * desc:更新表:ABS_JOB_CONTROL.<br/>
     * @param entity entity
     * @return int
     */
    
    public int update(JobControlDO entity){
        return jobControlDOMapper.update(entity);
    }
    /**
     * desc:根据jobName获取数据:ABS_JOB_CONTROL.<br/>
     * @param jobName jobName
     * @return JobControlDO
     */
    
    public JobControlDO getByJobName(String jobName){
        return jobControlDOMapper.getByJobName(jobName);
    }
    /**
     * desc:根据jobName获取数据:ABS_JOB_CONTROL.<br/>
     * @param jobName jobName
     * @return JobControlDO
     */
    
    public JobControlDO lockByJobName(String jobName){
        return jobControlDOMapper.lockByJobName(jobName);
    }
}
