package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanAstLogDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.LoanAstLogDOMapper;

/**
* The Table abs_loan_ast_log.
* ABS_LOAN_AST_LOG
*/
@Repository
public class LoanAstLogDAO{

    @Autowired
    private LoanAstLogDOMapper loanAstLogDOMapper;

    /**
     * desc:批量插入表:abs_loan_ast_log.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<LoanAstLogDO> list){
        loanAstLogDOMapper.insertBatch(list);
        return  list.size(); 
    }
}
