package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import com.general.system.common.model.Money;

/**
 * The table ABS_LOAN_AST_PROFIT_LOG
 */
public class LoanAstProfitLogDO{

    /**
     * memo 备注.
     */
    private String memo;
    /**
     * astNo .
     */
    private String astNo;
    /**
     * bizNo .
     */
    private String bizNo;
    /**
     * seqNo .
     */
    private String seqNo;
    /**
     * ownOrg .
     */
    private String ownOrg;
    /**
     * execTms .
     */
    private String execTms;
    /**
     * extInfo .
     */
    private String extInfo;
    /**
     * outAstNo 外部资产编号.
     */
    private String outAstNo;
    /**
     * outBizNo .
     */
    private String outBizNo;
    /**
     * eventCode .
     */
    private String eventCode;
    /**
     * loanAstNo .
     */
    private String loanAstNo;
    /**
     * transCode .
     */
    private String transCode;
    /**
     * profitType .
     */
    private String profitType;
    /**
     * astProfitNo .
     */
    private String astProfitNo;
    /**
     * splitOrgCode .
     */
    private String splitOrgCode;
    /**
     * termNo .
     */
    private Integer termNo;
    /**
     * bizTermNo .
     */
    private Integer bizTermNo;
    /**
     * srcTermNo .
     */
    private Integer srcTermNo;
    /**
     * gmtCreate .
     */
    private Date gmtCreate;
    /**
     * transTime .
     */
    private Date transTime;
    /**
     * accountDate .
     */
    private Date accountDate;
    /**
     * feeAmt .
     */
    private Money feeAmt;
    /**
     * clrgAmt 清算金额.
     */
    private Money clrgAmt;
    /**
     * intrAmt .
     */
    private Money intrAmt;
    /**
     * afFeeBal .
     */
    private Money afFeeBal;
    /**
     * afIntrBal .
     */
    private Money afIntrBal;
    /**
     * fundFeeAmt .
     */
    private Money fundFeeAmt;
    /**
     * feePenalAmt .
     */
    private Money feePenalAmt;
    /**
     * fundIntrAmt .
     */
    private Money fundIntrAmt;
    /**
     * otherFeeAmt 其他费用实还发生额.
     */
    private Money otherFeeAmt;
    /**
     * intrPenalAmt .
     */
    private Money intrPenalAmt;
    /**
     * prinPenalAmt .
     */
    private Money prinPenalAmt;
    /**
     * afFeePenalBal .
     */
    private Money afFeePenalBal;
    /**
     * afOtherFeeBal 变更后其他费用余额.
     */
    private Money afOtherFeeBal;
    /**
     * afIntrPenalBal .
     */
    private Money afIntrPenalBal;
    /**
     * afPrinPenalBal .
     */
    private Money afPrinPenalBal;
    /**
     * fundFeePenalAmt .
     */
    private Money fundFeePenalAmt;
    /**
     * fundOtherFeeAmt 其他费用五矿实收发生额.
     */
    private Money fundOtherFeeAmt;
    /**
     * fundIntrPenalAmt .
     */
    private Money fundIntrPenalAmt;
    /**
     * fundPrinPenalAmt .
     */
    private Money fundPrinPenalAmt;
    /**
     * managerOrgFeeAmt .
     */
    private Money managerOrgFeeAmt;

    /**
     * Set memo 备注.
     */
    public void setMemo(String memo){
        this.memo = memo;
    }

    /**
     * Get memo 备注.
     *
     * @return the string
     */
    public String getMemo(){
        return memo;
    }

    /**
     * Set astNo .
     */
    public void setAstNo(String astNo){
        this.astNo = astNo;
    }

    /**
     * Get astNo .
     *
     * @return the string
     */
    public String getAstNo(){
        return astNo;
    }

    /**
     * Set bizNo .
     */
    public void setBizNo(String bizNo){
        this.bizNo = bizNo;
    }

    /**
     * Get bizNo .
     *
     * @return the string
     */
    public String getBizNo(){
        return bizNo;
    }

    /**
     * Set seqNo .
     */
    public void setSeqNo(String seqNo){
        this.seqNo = seqNo;
    }

    /**
     * Get seqNo .
     *
     * @return the string
     */
    public String getSeqNo(){
        return seqNo;
    }

    /**
     * Set ownOrg .
     */
    public void setOwnOrg(String ownOrg){
        this.ownOrg = ownOrg;
    }

    /**
     * Get ownOrg .
     *
     * @return the string
     */
    public String getOwnOrg(){
        return ownOrg;
    }

    /**
     * Set execTms .
     */
    public void setExecTms(String execTms){
        this.execTms = execTms;
    }

    /**
     * Get execTms .
     *
     * @return the string
     */
    public String getExecTms(){
        return execTms;
    }

    /**
     * Set extInfo .
     */
    public void setExtInfo(String extInfo){
        this.extInfo = extInfo;
    }

    /**
     * Get extInfo .
     *
     * @return the string
     */
    public String getExtInfo(){
        return extInfo;
    }

    /**
     * Set outAstNo 外部资产编号.
     */
    public void setOutAstNo(String outAstNo){
        this.outAstNo = outAstNo;
    }

    /**
     * Get outAstNo 外部资产编号.
     *
     * @return the string
     */
    public String getOutAstNo(){
        return outAstNo;
    }

    /**
     * Set outBizNo .
     */
    public void setOutBizNo(String outBizNo){
        this.outBizNo = outBizNo;
    }

    /**
     * Get outBizNo .
     *
     * @return the string
     */
    public String getOutBizNo(){
        return outBizNo;
    }

    /**
     * Set eventCode .
     */
    public void setEventCode(String eventCode){
        this.eventCode = eventCode;
    }

    /**
     * Get eventCode .
     *
     * @return the string
     */
    public String getEventCode(){
        return eventCode;
    }

    /**
     * Set loanAstNo .
     */
    public void setLoanAstNo(String loanAstNo){
        this.loanAstNo = loanAstNo;
    }

    /**
     * Get loanAstNo .
     *
     * @return the string
     */
    public String getLoanAstNo(){
        return loanAstNo;
    }

    /**
     * Set transCode .
     */
    public void setTransCode(String transCode){
        this.transCode = transCode;
    }

    /**
     * Get transCode .
     *
     * @return the string
     */
    public String getTransCode(){
        return transCode;
    }

    /**
     * Set profitType .
     */
    public void setProfitType(String profitType){
        this.profitType = profitType;
    }

    /**
     * Get profitType .
     *
     * @return the string
     */
    public String getProfitType(){
        return profitType;
    }

    /**
     * Set astProfitNo .
     */
    public void setAstProfitNo(String astProfitNo){
        this.astProfitNo = astProfitNo;
    }

    /**
     * Get astProfitNo .
     *
     * @return the string
     */
    public String getAstProfitNo(){
        return astProfitNo;
    }

    /**
     * Set splitOrgCode .
     */
    public void setSplitOrgCode(String splitOrgCode){
        this.splitOrgCode = splitOrgCode;
    }

    /**
     * Get splitOrgCode .
     *
     * @return the string
     */
    public String getSplitOrgCode(){
        return splitOrgCode;
    }

    /**
     * Set termNo .
     */
    public void setTermNo(Integer termNo){
        this.termNo = termNo;
    }

    /**
     * Get termNo .
     *
     * @return the string
     */
    public Integer getTermNo(){
        return termNo;
    }

    /**
     * Set bizTermNo .
     */
    public void setBizTermNo(Integer bizTermNo){
        this.bizTermNo = bizTermNo;
    }

    /**
     * Get bizTermNo .
     *
     * @return the string
     */
    public Integer getBizTermNo(){
        return bizTermNo;
    }

    /**
     * Set srcTermNo .
     */
    public void setSrcTermNo(Integer srcTermNo){
        this.srcTermNo = srcTermNo;
    }

    /**
     * Get srcTermNo .
     *
     * @return the string
     */
    public Integer getSrcTermNo(){
        return srcTermNo;
    }

    /**
     * Set gmtCreate .
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate .
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set transTime .
     */
    public void setTransTime(Date transTime){
        this.transTime = transTime;
    }

    /**
     * Get transTime .
     *
     * @return the string
     */
    public Date getTransTime(){
        return transTime;
    }

    /**
     * Set accountDate .
     */
    public void setAccountDate(Date accountDate){
        this.accountDate = accountDate;
    }

    /**
     * Get accountDate .
     *
     * @return the string
     */
    public Date getAccountDate(){
        return accountDate;
    }

    /**
     * Set feeAmt .
     */
    public void setFeeAmt(Money feeAmt){
        this.feeAmt = feeAmt;
    }

    /**
     * Get feeAmt .
     *
     * @return the string
     */
    public Money getFeeAmt(){
        if(feeAmt==null){
            return new Money();
        }
        return feeAmt;
    }

    /**
     * Set clrgAmt 清算金额.
     */
    public void setClrgAmt(Money clrgAmt){
        this.clrgAmt = clrgAmt;
    }

    /**
     * Get clrgAmt 清算金额.
     *
     * @return the string
     */
    public Money getClrgAmt(){
        if(clrgAmt==null){
            return new Money();
        }
        return clrgAmt;
    }

    /**
     * Set intrAmt .
     */
    public void setIntrAmt(Money intrAmt){
        this.intrAmt = intrAmt;
    }

    /**
     * Get intrAmt .
     *
     * @return the string
     */
    public Money getIntrAmt(){
        if(intrAmt==null){
            return new Money();
        }
        return intrAmt;
    }

    /**
     * Set afFeeBal .
     */
    public void setAfFeeBal(Money afFeeBal){
        this.afFeeBal = afFeeBal;
    }

    /**
     * Get afFeeBal .
     *
     * @return the string
     */
    public Money getAfFeeBal(){
        if(afFeeBal==null){
            return new Money();
        }
        return afFeeBal;
    }

    /**
     * Set afIntrBal .
     */
    public void setAfIntrBal(Money afIntrBal){
        this.afIntrBal = afIntrBal;
    }

    /**
     * Get afIntrBal .
     *
     * @return the string
     */
    public Money getAfIntrBal(){
        if(afIntrBal==null){
            return new Money();
        }
        return afIntrBal;
    }

    /**
     * Set fundFeeAmt .
     */
    public void setFundFeeAmt(Money fundFeeAmt){
        this.fundFeeAmt = fundFeeAmt;
    }

    /**
     * Get fundFeeAmt .
     *
     * @return the string
     */
    public Money getFundFeeAmt(){
        if(fundFeeAmt==null){
            return new Money();
        }
        return fundFeeAmt;
    }

    /**
     * Set feePenalAmt .
     */
    public void setFeePenalAmt(Money feePenalAmt){
        this.feePenalAmt = feePenalAmt;
    }

    /**
     * Get feePenalAmt .
     *
     * @return the string
     */
    public Money getFeePenalAmt(){
        if(feePenalAmt==null){
            return new Money();
        }
        return feePenalAmt;
    }

    /**
     * Set fundIntrAmt .
     */
    public void setFundIntrAmt(Money fundIntrAmt){
        this.fundIntrAmt = fundIntrAmt;
    }

    /**
     * Get fundIntrAmt .
     *
     * @return the string
     */
    public Money getFundIntrAmt(){
        if(fundIntrAmt==null){
            return new Money();
        }
        return fundIntrAmt;
    }

    /**
     * Set otherFeeAmt 其他费用实还发生额.
     */
    public void setOtherFeeAmt(Money otherFeeAmt){
        this.otherFeeAmt = otherFeeAmt;
    }

    /**
     * Get otherFeeAmt 其他费用实还发生额.
     *
     * @return the string
     */
    public Money getOtherFeeAmt(){
        if(otherFeeAmt==null){
            return new Money();
        }
        return otherFeeAmt;
    }

    /**
     * Set intrPenalAmt .
     */
    public void setIntrPenalAmt(Money intrPenalAmt){
        this.intrPenalAmt = intrPenalAmt;
    }

    /**
     * Get intrPenalAmt .
     *
     * @return the string
     */
    public Money getIntrPenalAmt(){
        if(intrPenalAmt==null){
            return new Money();
        }
        return intrPenalAmt;
    }

    /**
     * Set prinPenalAmt .
     */
    public void setPrinPenalAmt(Money prinPenalAmt){
        this.prinPenalAmt = prinPenalAmt;
    }

    /**
     * Get prinPenalAmt .
     *
     * @return the string
     */
    public Money getPrinPenalAmt(){
        if(prinPenalAmt==null){
            return new Money();
        }
        return prinPenalAmt;
    }

    /**
     * Set afFeePenalBal .
     */
    public void setAfFeePenalBal(Money afFeePenalBal){
        this.afFeePenalBal = afFeePenalBal;
    }

    /**
     * Get afFeePenalBal .
     *
     * @return the string
     */
    public Money getAfFeePenalBal(){
        if(afFeePenalBal==null){
            return new Money();
        }
        return afFeePenalBal;
    }

    /**
     * Set afOtherFeeBal 变更后其他费用余额.
     */
    public void setAfOtherFeeBal(Money afOtherFeeBal){
        this.afOtherFeeBal = afOtherFeeBal;
    }

    /**
     * Get afOtherFeeBal 变更后其他费用余额.
     *
     * @return the string
     */
    public Money getAfOtherFeeBal(){
        if(afOtherFeeBal==null){
            return new Money();
        }
        return afOtherFeeBal;
    }

    /**
     * Set afIntrPenalBal .
     */
    public void setAfIntrPenalBal(Money afIntrPenalBal){
        this.afIntrPenalBal = afIntrPenalBal;
    }

    /**
     * Get afIntrPenalBal .
     *
     * @return the string
     */
    public Money getAfIntrPenalBal(){
        if(afIntrPenalBal==null){
            return new Money();
        }
        return afIntrPenalBal;
    }

    /**
     * Set afPrinPenalBal .
     */
    public void setAfPrinPenalBal(Money afPrinPenalBal){
        this.afPrinPenalBal = afPrinPenalBal;
    }

    /**
     * Get afPrinPenalBal .
     *
     * @return the string
     */
    public Money getAfPrinPenalBal(){
        if(afPrinPenalBal==null){
            return new Money();
        }
        return afPrinPenalBal;
    }

    /**
     * Set fundFeePenalAmt .
     */
    public void setFundFeePenalAmt(Money fundFeePenalAmt){
        this.fundFeePenalAmt = fundFeePenalAmt;
    }

    /**
     * Get fundFeePenalAmt .
     *
     * @return the string
     */
    public Money getFundFeePenalAmt(){
        if(fundFeePenalAmt==null){
            return new Money();
        }
        return fundFeePenalAmt;
    }

    /**
     * Set fundOtherFeeAmt 其他费用五矿实收发生额.
     */
    public void setFundOtherFeeAmt(Money fundOtherFeeAmt){
        this.fundOtherFeeAmt = fundOtherFeeAmt;
    }

    /**
     * Get fundOtherFeeAmt 其他费用五矿实收发生额.
     *
     * @return the string
     */
    public Money getFundOtherFeeAmt(){
        if(fundOtherFeeAmt==null){
            return new Money();
        }
        return fundOtherFeeAmt;
    }

    /**
     * Set fundIntrPenalAmt .
     */
    public void setFundIntrPenalAmt(Money fundIntrPenalAmt){
        this.fundIntrPenalAmt = fundIntrPenalAmt;
    }

    /**
     * Get fundIntrPenalAmt .
     *
     * @return the string
     */
    public Money getFundIntrPenalAmt(){
        if(fundIntrPenalAmt==null){
            return new Money();
        }
        return fundIntrPenalAmt;
    }

    /**
     * Set fundPrinPenalAmt .
     */
    public void setFundPrinPenalAmt(Money fundPrinPenalAmt){
        this.fundPrinPenalAmt = fundPrinPenalAmt;
    }

    /**
     * Get fundPrinPenalAmt .
     *
     * @return the string
     */
    public Money getFundPrinPenalAmt(){
        if(fundPrinPenalAmt==null){
            return new Money();
        }
        return fundPrinPenalAmt;
    }

    /**
     * Set managerOrgFeeAmt .
     */
    public void setManagerOrgFeeAmt(Money managerOrgFeeAmt){
        this.managerOrgFeeAmt = managerOrgFeeAmt;
    }

    /**
     * Get managerOrgFeeAmt .
     *
     * @return the string
     */
    public Money getManagerOrgFeeAmt(){
        if(managerOrgFeeAmt==null){
            return new Money();
        }
        return managerOrgFeeAmt;
    }
}
