package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;

/**
 * The table ABS_PLAN_CLEARING_ORDER
 */
public class PlanClearingOrderDO{

    /**
     * id ID.
     */
    private Long id;
    /**
     * transAmt 交易金额.
     */
    private Long transAmt;
    /**
     * memo 备注.
     */
    private String memo;
    /**
     * seqNo 流水号.
     */
    private String seqNo;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * execTms .
     */
    private String execTms;
    /**
     * transCode 交易编码.
     */
    private String transCode;
    /**
     * cntPtyCode 交易对手编码.
     */
    private String cntPtyCode;
    /**
     * logMinMaxId 关联流水ID最大最小范围.
     */
    private String logMinMaxId;
    /**
     * transStatus 交易状态.
     */
    private String transStatus;
    /**
     * transOrderNo 交易单据编号.
     */
    private String transOrderNo;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * accountDate 会记日.
     */
    private Date accountDate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;

    /**
     * Set id ID.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id ID.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set transAmt 交易金额.
     */
    public void setTransAmt(Long transAmt){
        this.transAmt = transAmt;
    }

    /**
     * Get transAmt 交易金额.
     *
     * @return the string
     */
    public Long getTransAmt(){
        return transAmt;
    }

    /**
     * Set memo 备注.
     */
    public void setMemo(String memo){
        this.memo = memo;
    }

    /**
     * Get memo 备注.
     *
     * @return the string
     */
    public String getMemo(){
        return memo;
    }

    /**
     * Set seqNo 流水号.
     */
    public void setSeqNo(String seqNo){
        this.seqNo = seqNo;
    }

    /**
     * Get seqNo 流水号.
     *
     * @return the string
     */
    public String getSeqNo(){
        return seqNo;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set execTms .
     */
    public void setExecTms(String execTms){
        this.execTms = execTms;
    }

    /**
     * Get execTms .
     *
     * @return the string
     */
    public String getExecTms(){
        return execTms;
    }

    /**
     * Set transCode 交易编码.
     */
    public void setTransCode(String transCode){
        this.transCode = transCode;
    }

    /**
     * Get transCode 交易编码.
     *
     * @return the string
     */
    public String getTransCode(){
        return transCode;
    }

    /**
     * Set cntPtyCode 交易对手编码.
     */
    public void setCntPtyCode(String cntPtyCode){
        this.cntPtyCode = cntPtyCode;
    }

    /**
     * Get cntPtyCode 交易对手编码.
     *
     * @return the string
     */
    public String getCntPtyCode(){
        return cntPtyCode;
    }

    /**
     * Set logMinMaxId 关联流水ID最大最小范围.
     */
    public void setLogMinMaxId(String logMinMaxId){
        this.logMinMaxId = logMinMaxId;
    }

    /**
     * Get logMinMaxId 关联流水ID最大最小范围.
     *
     * @return the string
     */
    public String getLogMinMaxId(){
        return logMinMaxId;
    }

    /**
     * Set transStatus 交易状态.
     */
    public void setTransStatus(String transStatus){
        this.transStatus = transStatus;
    }

    /**
     * Get transStatus 交易状态.
     *
     * @return the string
     */
    public String getTransStatus(){
        return transStatus;
    }

    /**
     * Set transOrderNo 交易单据编号.
     */
    public void setTransOrderNo(String transOrderNo){
        this.transOrderNo = transOrderNo;
    }

    /**
     * Get transOrderNo 交易单据编号.
     *
     * @return the string
     */
    public String getTransOrderNo(){
        return transOrderNo;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set accountDate 会记日.
     */
    public void setAccountDate(Date accountDate){
        this.accountDate = accountDate;
    }

    /**
     * Get accountDate 会记日.
     *
     * @return the string
     */
    public Date getAccountDate(){
        return accountDate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }
}
