package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;

/**
 * The table 计划监控指标
 */
public class PlanMonitorDO{

    /**
     * id 自增ID.
     */
    private Long id;
    /**
     * name 监控名.
     */
    private String name;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * indicator 监控指标.
     */
    private String indicator;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * value 监控值.
     */
    private BigDecimal value;

    /**
     * Set id 自增ID.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 自增ID.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set name 监控名.
     */
    public void setName(String name){
        this.name = name;
    }

    /**
     * Get name 监控名.
     *
     * @return the string
     */
    public String getName(){
        return name;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set indicator 监控指标.
     */
    public void setIndicator(String indicator){
        this.indicator = indicator;
    }

    /**
     * Get indicator 监控指标.
     *
     * @return the string
     */
    public String getIndicator(){
        return indicator;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set value 监控值.
     */
    public void setValue(BigDecimal value){
        this.value = value;
    }

    /**
     * Get value 监控值.
     *
     * @return the string
     */
    public BigDecimal getValue(){
        return value;
    }
}
