package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;

/**
 * The table ABS_TASK_GROUP
 */
public class TaskGroupDO{

    /**
     * id 主键.
     */
    private Long id;
    /**
     * tasks 当前需要处理的任务范围.
     */
    private String tasks;
    /**
     * status 标记当前任务范围是否处理完毕.
     */
    private String status;
    /**
     * jobName 任务名.
     */
    private String jobName;
    /**
     * hostName 当前分配处理机器的IP.
     */
    private String hostName;
    /**
     * taskType 标记当前的任务类型.
     */
    private String taskType;
    /**
     * disable 当前任务处理是否禁用.
     */
    private Boolean disable;
    /**
     * gmtCreate 创建日期.
     */
    private Date gmtCreate;
    /**
     * gmtModified 更新日期.
     */
    private Date gmtModified;

    /**
     * Set id 主键.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 主键.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set tasks 当前需要处理的任务范围.
     */
    public void setTasks(String tasks){
        this.tasks = tasks;
    }

    /**
     * Get tasks 当前需要处理的任务范围.
     *
     * @return the string
     */
    public String getTasks(){
        return tasks;
    }

    /**
     * Set status 标记当前任务范围是否处理完毕.
     */
    public void setStatus(String status){
        this.status = status;
    }

    /**
     * Get status 标记当前任务范围是否处理完毕.
     *
     * @return the string
     */
    public String getStatus(){
        return status;
    }

    /**
     * Set jobName 任务名.
     */
    public void setJobName(String jobName){
        this.jobName = jobName;
    }

    /**
     * Get jobName 任务名.
     *
     * @return the string
     */
    public String getJobName(){
        return jobName;
    }

    /**
     * Set hostName 当前分配处理机器的IP.
     */
    public void setHostName(String hostName){
        this.hostName = hostName;
    }

    /**
     * Get hostName 当前分配处理机器的IP.
     *
     * @return the string
     */
    public String getHostName(){
        return hostName;
    }

    /**
     * Set taskType 标记当前的任务类型.
     */
    public void setTaskType(String taskType){
        this.taskType = taskType;
    }

    /**
     * Get taskType 标记当前的任务类型.
     *
     * @return the string
     */
    public String getTaskType(){
        return taskType;
    }

    /**
     * Set disable 当前任务处理是否禁用.
     */
    public void setDisable(Boolean disable){
        this.disable = disable;
    }

    /**
     * Get disable 当前任务处理是否禁用.
     *
     * @return the string
     */
    public Boolean getDisable(){
        return disable;
    }

    /**
     * Set gmtCreate 创建日期.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建日期.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 更新日期.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 更新日期.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }
}
