package com.abssqr.plat.common.dal.mysql.auto.paging;

import com.abssqr.plat.common.dal.mysql.auto.paging.BasePage;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanBakDO;
import java.util.Date;
import java.util.List;

/**
 * The table ABS_LOAN_BAK 信贷资产
 */
public class LoanBakListPage extends BasePage<LoanBakDO>{

    /**
     * accountDate .
     */
    private Date accountDate;
    /**
     * ownOrg .
     */
    private String ownOrg;
    /**
     * outAstNo .
     */
    private String outAstNo;
    /**
     * ovdDays .
     */
    private Integer ovdDays;
    /**
     * statuList .
     */
    private List<String> statuList;

    /**
     * Set accountDate .
     */
    public void setAccountDate(Date accountDate){
        this.accountDate = accountDate;
    }

    /**
     * Get accountDate .
     *
     * @return the string
     */
    public Date getAccountDate(){
        return accountDate;
    }

    /**
     * Set ownOrg .
     */
    public void setOwnOrg(String ownOrg){
        this.ownOrg = ownOrg;
    }

    /**
     * Get ownOrg .
     *
     * @return the string
     */
    public String getOwnOrg(){
        return ownOrg;
    }

    /**
     * Set outAstNo .
     */
    public void setOutAstNo(String outAstNo){
        this.outAstNo = outAstNo;
    }

    /**
     * Get outAstNo .
     *
     * @return the string
     */
    public String getOutAstNo(){
        return outAstNo;
    }

    /**
     * Set ovdDays .
     */
    public void setOvdDays(Integer ovdDays){
        this.ovdDays = ovdDays;
    }

    /**
     * Get ovdDays .
     *
     * @return the string
     */
    public Integer getOvdDays(){
        return ovdDays;
    }

    /**
     * Set statuList .
     */
    public void setStatuList(List<String> statuList){
        this.statuList = statuList;
    }

    /**
     * Get statuList .
     *
     * @return the string
     */
    public List<String> getStatuList(){
        return statuList;
    }
}
