package com.abssqr.plat.common.dal.sync.auto.dataobject;

import java.util.Date;

/**
 * The table WK_ABS_MFS_BILL_CTR
 */
public class WkAbsMfsBillCtrDO{

    /**
     * id 主键.
     */
    private Long id;
    /**
     * execTimes .
     */
    private Long execTimes;
    /**
     * orgNo 机构.
     */
    private String orgNo;
    /**
     * loanId 借据号.
     */
    private String loanId;
    /**
     * lastHost .
     */
    private String lastHost;
    /**
     * absStatus 处理状态.
     */
    private String absStatus;
    /**
     * productId 产品编号.
     */
    private String productId;
    /**
     * loanStatus 状态 2-已放款 3-已冲正 4-已撤销 5-已还款（借据已放款且客户已归还过一次款) 6-已结清.
     */
    private String loanStatus;
    /**
     * productName 产品名称.
     */
    private String productName;
    /**
     * absSyncDate 同步日期.
     */
    private Date absSyncDate;
    /**
     * lastExecTime .
     */
    private Date lastExecTime;
    /**
     * nextExecTime .
     */
    private Date nextExecTime;

    /**
     * Set id 主键.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 主键.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set execTimes .
     */
    public void setExecTimes(Long execTimes){
        this.execTimes = execTimes;
    }

    /**
     * Get execTimes .
     *
     * @return the string
     */
    public Long getExecTimes(){
        return execTimes;
    }

    /**
     * Set orgNo 机构.
     */
    public void setOrgNo(String orgNo){
        this.orgNo = orgNo;
    }

    /**
     * Get orgNo 机构.
     *
     * @return the string
     */
    public String getOrgNo(){
        return orgNo;
    }

    /**
     * Set loanId 借据号.
     */
    public void setLoanId(String loanId){
        this.loanId = loanId;
    }

    /**
     * Get loanId 借据号.
     *
     * @return the string
     */
    public String getLoanId(){
        return loanId;
    }

    /**
     * Set lastHost .
     */
    public void setLastHost(String lastHost){
        this.lastHost = lastHost;
    }

    /**
     * Get lastHost .
     *
     * @return the string
     */
    public String getLastHost(){
        return lastHost;
    }

    /**
     * Set absStatus 处理状态.
     */
    public void setAbsStatus(String absStatus){
        this.absStatus = absStatus;
    }

    /**
     * Get absStatus 处理状态.
     *
     * @return the string
     */
    public String getAbsStatus(){
        return absStatus;
    }

    /**
     * Set productId 产品编号.
     */
    public void setProductId(String productId){
        this.productId = productId;
    }

    /**
     * Get productId 产品编号.
     *
     * @return the string
     */
    public String getProductId(){
        return productId;
    }

    /**
     * Set loanStatus 状态 2-已放款 3-已冲正 4-已撤销 5-已还款（借据已放款且客户已归还过一次款) 6-已结清.
     */
    public void setLoanStatus(String loanStatus){
        this.loanStatus = loanStatus;
    }

    /**
     * Get loanStatus 状态 2-已放款 3-已冲正 4-已撤销 5-已还款（借据已放款且客户已归还过一次款) 6-已结清.
     *
     * @return the string
     */
    public String getLoanStatus(){
        return loanStatus;
    }

    /**
     * Set productName 产品名称.
     */
    public void setProductName(String productName){
        this.productName = productName;
    }

    /**
     * Get productName 产品名称.
     *
     * @return the string
     */
    public String getProductName(){
        return productName;
    }

    /**
     * Set absSyncDate 同步日期.
     */
    public void setAbsSyncDate(Date absSyncDate){
        this.absSyncDate = absSyncDate;
    }

    /**
     * Get absSyncDate 同步日期.
     *
     * @return the string
     */
    public Date getAbsSyncDate(){
        return absSyncDate;
    }

    /**
     * Set lastExecTime .
     */
    public void setLastExecTime(Date lastExecTime){
        this.lastExecTime = lastExecTime;
    }

    /**
     * Get lastExecTime .
     *
     * @return the string
     */
    public Date getLastExecTime(){
        return lastExecTime;
    }

    /**
     * Set nextExecTime .
     */
    public void setNextExecTime(Date nextExecTime){
        this.nextExecTime = nextExecTime;
    }

    /**
     * Get nextExecTime .
     *
     * @return the string
     */
    public Date getNextExecTime(){
        return nextExecTime;
    }
}
