/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.param.base;

import com.abssqr.plat.common.facade.base.BasePageQryParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.param.base: CommonPlanPageQryParam.java, v 0.1 2019-05-28 17:33 zhenxuan.luo Exp $
 */
public class CommonPlanPageQryParam extends BasePageQryParam {
    
    private static final long serialVersionUID = -5213924288840980979L;
    @VldString(message = "计划编号不能为空")
    private String planNo;
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_LIST_QRY;
    }
}