/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.param.dataChange;

import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;

import java.io.Serializable;

/**
 *
 * @author yangcheng
 * @version addChangeParam.java, v0.12019-06-1410:13 yangchengExp$
 */
public class AddChangeParam extends BaseParam implements Serializable {
    private static final long serialVersionUID = 7112528047534076389L;
    /**
     * name     变更名称-同审批流名称
     */
    private String name;
    /**
     * datas    变更后数据
     */
    private String datas;
    /**
     * bizType  业务类型
     */
    private String bizType;
    /**
     * bizNo    业务编号
     */
    private String bizNo;
    @Override
    public EventCodeEnum getEventCode() {
        return null;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public String getDatas() {
        return datas;
    }
    
    public void setDatas(String datas) {
        this.datas = datas;
    }
    
    public String getBizType() {
        return bizType;
    }
    
    public void setBizType(String bizType) {
        this.bizType = bizType;
    }
    
    public String getBizNo() {
        return bizNo;
    }
    
    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }
}
