/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.param.plan.monitor;

import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;

/**
 * 监控事件列表入参
 *
 * @author yangcheng
 * @version PlanEventMonitorQryParam.java, v0.12019-07-0311:12 yangchengExp$
 */
public class PlanEventMonitorQryParam extends BaseParam {
    
    private static final long serialVersionUID = -3433472886752653326L;
    /**
     * 消息通知计划编号无， 监控事件列表传计划编号
     */
    private String planNo;
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }
    
}
