package com.abssqr.plat.common.facade.result.ast;

import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class AstPoolLoanListVO extends BaseEntity implements Serializable {
    //资产编号
    private String astNo;
    //贷款剩余本金
    private Money prinBal;
    //贷款日期
    private Date startDate;
    //贷款剩余期限
    private Long freeTerm;
    //贷款利率
    private BigDecimal rate;
    //贷款五级分类
    private String riskCl;
    //还款周期
    private Long repayPeriod;
    //还款周期类型
    private String repoayPeriodType;
    //还款方式
    private String repayMethod;
    //资产归属
    private String planName;

    public String getAstNo() {
        return astNo;
    }

    public void setAstNo(String astNo) {
        this.astNo = astNo;
    }

    public Money getPrinBal() {
        return prinBal;
    }

    public void setPrinBal(Money prinBal) {
        this.prinBal = prinBal;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Long getFreeTerm() {
        return freeTerm;
    }

    public void setFreeTerm(Long freeTerm) {
        this.freeTerm = freeTerm;
    }

    public BigDecimal getRate() {
        return rate;
    }

    public void setRate(BigDecimal rate) {
        this.rate = rate;
    }

    public String getRiskCl() {
        return riskCl;
    }

    public void setRiskCl(String riskCl) {
        this.riskCl = riskCl;
    }

    public Long getRepayPeriod() {
        return repayPeriod;
    }

    public void setRepayPeriod(Long repayPeriod) {
        this.repayPeriod = repayPeriod;
    }

    public String getRepoayPeriodType() {
        return repoayPeriodType;
    }

    public void setRepoayPeriodType(String repoayPeriodType) {
        this.repoayPeriodType = repoayPeriodType;
    }

    public String getRepayMethod() {
        return repayMethod;
    }

    public void setRepayMethod(String repayMethod) {
        this.repayMethod = repayMethod;
    }

    public String getPlanName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }
}
