package com.abssqr.plat.common.facade.service;

import com.abssqr.plat.common.facade.param.astPool.AstPoolOprParam;
import com.abssqr.plat.common.facade.param.astPool.AstPoolPageQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.ast.AstPoolLoanListVO;
import com.abssqr.plat.common.facade.result.astPool.AstPoolVO;

import java.util.List;

public interface AstPoolService {

    int add(AstPoolOprParam astPoolOprParam);

    BasePage<AstPoolVO> page(AstPoolPageQryParam astPoolPageQryParam);

    AstPoolVO get(String astPoolNo);

    List<AstPoolLoanListVO> astList(String astPoolNo);
}
