/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.clearing;

import com.abssqr.plat.common.facade.enums.TransCodeEnum;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 结算 汇总单
 * @author hanfei
 * @version $Id: SummaryClearingOrder.java, v 0.1 2019-10-13 3:34 PM hanfei Exp $
 */
public class SummaryClearingOrder extends BaseEntity {
    /**
     * 计划编号
     */
    private String        planNo;
    /**
     * transCode 事件码.
     */
    private TransCodeEnum transCode;
    /**
     * cntPtyCode 交易对手.
     */
    private String        cntPtyCode;
    /**
     * accountDate 会计日期.
     */
    private Date          accountDate;
    /**
     * transAmt 发生额汇总.
     */
    private Money transAmt = new Money();
    
    /**
     * ClearingOrder seqNo
     */
    private List<String> seqNos = new ArrayList<>();
    /**
     * 生成交易编号
     */
    private String transBizNo;
    
    
    public TransCodeEnum getTransCode() {
        return transCode;
    }
    
    public void setTransCode(TransCodeEnum transCode) {
        this.transCode = transCode;
    }
    
    public String getCntPtyCode() {
        return cntPtyCode;
    }
    
    public void setCntPtyCode(String cntPtyCode) {
        this.cntPtyCode = cntPtyCode;
    }
    
    public Date getAccountDate() {
        return accountDate;
    }
    
    public void setAccountDate(Date accountDate) {
        this.accountDate = accountDate;
    }
    
    public Money getTransAmt() {
        return transAmt;
    }
    
    public void setTransAmt(Money transAmt) {
        this.transAmt = transAmt;
    }
    
    public List<String> getSeqNos() {
        return seqNos;
    }
    
    public void setSeqNos(List<String> seqNos) {
        this.seqNos = seqNos;
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getTransBizNo() {
        return transBizNo;
    }
    
    public void setTransBizNo(String transBizNo) {
        this.transBizNo = transBizNo;
    }
}
