/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.plan;

import com.abssqr.plat.common.facade.enums.OrgAstStatStatusEnum;
import com.abssqr.plat.common.model.domain.task.DispatcherNode;

import java.util.Date;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.plan: PlanAstStatTask.java, v 0.1 2019-06-11 15:23 zhenxuan.luo Exp $ 
 */
public class PlanAstStatTask extends DispatcherNode {
    
    private String planNo;
    
    private Date accountDate;
    
    private String lastExecTms;
    
    private Long minId = 0L;
    
    private Long maxId;
    
    private Long cnt;
    
    private OrgAstStatStatusEnum status;
    
    @Override
    public boolean needTrans() {
        return false;
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public Date getAccountDate() {
        return accountDate;
    }
    
    public void setAccountDate(Date accountDate) {
        this.accountDate = accountDate;
    }
    
    public String getLastExecTms() {
        return lastExecTms;
    }
    
    public void setLastExecTms(String lastExecTms) {
        this.lastExecTms = lastExecTms;
    }
    
    public Long getMinId() {
        return minId;
    }
    
    public void setMinId(Long minId) {
        this.minId = minId;
    }
    
    public Long getMaxId() {
        return maxId;
    }
    
    public void setMaxId(Long maxId) {
        this.maxId = maxId;
    }
    
    public Long getCnt() {
        return cnt;
    }
    
    public void setCnt(Long cnt) {
        this.cnt = cnt;
    }
    
    public OrgAstStatStatusEnum getStatus() {
        return status;
    }
    
    public void setStatus(OrgAstStatStatusEnum status) {
        this.status = status;
    }
}