/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.model.exception;

import com.abssqr.plat.common.facade.enums.CommonErrorCodeEnum;

/**
 * 校验器异常定义
 *
 * @author zhenxuan.luo
 * @version $Id: AbssqrInvalidParamException.java, v 0.1 2017-06-06 上午11:34 zhenxuan.luo Exp $ 
 */
public class AbssqrValidationException extends AbssqrBizException {
    
    private static final long serialVersionUID = -7919205307207968726L;
    
    public AbssqrValidationException(String message, Throwable e) {
        super(message, e, false);
        this.errCode = CommonErrorCodeEnum.VALIDATE_ERROR;
        this.isCanRetry = false;
    }
    
    public AbssqrValidationException(String message) {
        super(message);
        this.isCanRetry = false;
        this.errCode = CommonErrorCodeEnum.VALIDATE_ERROR;
    }
}