package com.abssqr.plat.test.unittest.astPool;

import com.abssqr.plat.common.facade.param.astPool.AstPoolPageQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.astPool.AstPoolVO;
import com.abssqr.plat.common.facade.service.AstPoolService;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import com.general.system.common.util.VarChecker;
import com.google.gson.Gson;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

public class AstPoolPageUnitTest extends BaseAutoTests {
    @Autowired
    private AstPoolService astPoolService;

    @XTest(relatePath = "unittest/astPool/list")
    @Test(dataProvider = "YamlDataProvider", description = "资产池列表查询")
    public void add(ICase iCase, AstPoolPageQryParam astPoolPageQryParam, String checkGet) {
        try {
            BasePage<AstPoolVO> page = astPoolService.page(astPoolPageQryParam);
            String s = new Gson().toJson(page);
            VarChecker.checkArgument(s.equals(checkGet),"逾期结果错误");
        } finally {
            // 校验数据
            super.checkDB(iCase);
            // super.clearDB(iCase);
        }
    }
}
