/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.web.controller;

import com.abssqr.plat.web.config.DictConfigRealize;
import com.general.enhanced.controller.annotation.RestJsonController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * @author hanfei
 * @version AbssqrDictController.java, v 0.1 2019-07-02 4:38 PM hanfei Exp $
 */
@RestJsonController
public class AbssqrDictController {

    @Autowired
    private DictConfigRealize dictConfigRealize;

    @RequestMapping(path = "/dict/{type}.json", method = RequestMethod.GET)
    public Object queryLoanAstListPage(@PathVariable String type, String condition) {
        return dictConfigRealize.getByKeyType(type, condition);
    }
}
