package com.abssqr.plat.web.controller.ast;

import com.abssqr.plat.common.facade.param.astPool.AstPoolOprParam;
import com.abssqr.plat.common.facade.service.AstPoolService;
import com.general.enhanced.controller.annotation.RestJsonController;
import com.general.system.common.model.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestJsonController
@RequestMapping("ast")
public class AstController {

    @Autowired
    private AstPoolService astPoolService;

    @PostMapping("query.json")
    public BaseResult add(@RequestBody AstPoolOprParam astPoolOprParam){
        return BaseResult.success(astPoolService.add(astPoolOprParam));
    }

}
