package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.ActGeBytearrayDO;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table act_ge_bytearray.
 * ACT_GE_BYTEARRAY
 */
public interface ActGeBytearrayDOMapper{

    /**
     * desc:插入表:act_ge_bytearray.<br/>
     * @param entity entity
     * @return int
     */
    int insert(ActGeBytearrayDO entity);
    /**
     * desc:更新表:act_ge_bytearray.<br/>
     * @param entity entity
     * @return int
     */
    int update(ActGeBytearrayDO entity);
    /**
     * desc:根据主键删除数据:act_ge_bytearray.<br/>
     * @param id id
     * @return int
     */
    int deleteById(@Param("id")String id);
    /**
     * desc:根据主键获取数据:act_ge_bytearray.<br/>
     * @param id id
     * @return ActGeBytearrayDO
     */
    ActGeBytearrayDO getById(@Param("id")String id);
}
