package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanContractDO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_loan_contract.
 * 借款合同
 */
public interface LoanContractDOMapper{

    /**
     * desc:插入表:abs_loan_contract.<br/>
     * @param entity entity
     * @return int
     */
    int insert(LoanContractDO entity);
    /**
     * desc:根据唯一约束OutContNo获取数据:abs_loan_contract.<br/>
     * @param astNo astNo
     * @return LoanContractDO
     */
    LoanContractDO getByAstNo(@Param("astNo")String astNo);
    /**
     * desc:根据唯一约束OutContNo获取数据:abs_loan_contract.<br/>
     * @param astNos astNos
     * @return List<LoanContractDO>
     */
    List<LoanContractDO> getByAstNos(@Param("astNos")List<String> astNos);
}
