/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.report;

import com.general.system.common.model.BaseEntity;
import org.apache.commons.lang3.StringUtils;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.biz.shared.report: ReportField.java, v 0.1 2019-06-28 15:26 zhenxuan.luo Exp $ 
 */
public class ReportField extends BaseEntity {
    
    private String code;
    
    private String name;
    
    @Override
    public int hashCode() {
        return this.code.hashCode();
    }
    
    @Override
    public boolean equals(Object obj) {
        if (obj instanceof ReportField) {
            return StringUtils.equals(this.code, ((ReportField)obj).getCode());
        } else {
            return false;
        }
    }
    
    public ReportField(String code, String name) {
        this.code = code;
        this.name = name;
    }
    
    public String getCode() {
        return code;
    }
    
    public void setCode(String code) {
        this.code = code;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
}