package com.abssqr.plat.common.facade.result.astPool;

import com.abssqr.plat.common.facade.enums.AstTypeEnum;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.io.Serializable;

public class AstPoolVO extends BaseEntity implements Serializable {
    //资产池名称
    private String astPoolName;
    //准入资产名称
    private AstTypeEnum astType;
    //准入资产代码
    private String prodNo;

    //合计资产剩余本金
    private Money astAmt;

    //合计资产剩余笔数
    private Long astCnt;

    //已打包资产剩余本金
    private Money packedAstAmt;
    //已打包资产剩余笔数
    private Long packedAstCnt;

    public String getAstPoolName() {
        return astPoolName;
    }

    public void setAstPoolName(String astPoolName) {
        this.astPoolName = astPoolName;
    }

    public AstTypeEnum getAstType() {
        return astType;
    }

    public void setAstType(AstTypeEnum astType) {
        this.astType = astType;
    }

    public String getProdNo() {
        return prodNo;
    }

    public void setProdNo(String prodNo) {
        this.prodNo = prodNo;
    }

    public Money getAstAmt() {
        return astAmt;
    }

    public void setAstAmt(Money astAmt) {
        this.astAmt = astAmt;
    }

    public Long getAstCnt() {
        return astCnt;
    }

    public void setAstCnt(Long astCnt) {
        this.astCnt = astCnt;
    }

    public Money getPackedAstAmt() {
        return packedAstAmt;
    }

    public void setPackedAstAmt(Money packedAstAmt) {
        this.packedAstAmt = packedAstAmt;
    }

    public Long getPackedAstCnt() {
        return packedAstCnt;
    }

    public void setPackedAstCnt(Long packedAstCnt) {
        this.packedAstCnt = packedAstCnt;
    }
}
