/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.result.pack;

import com.abssqr.plat.common.facade.enums.AstPackStatusEnum;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

/**
 *
 * @author xiachenxiang
 * @version com.abssqr.plat.common.facade.result.pack: PackListVo.java, v 0.1 2020-04-20 4:18 PM xiachenxiang Exp $ 
 */
public class AstPackListVO extends BaseEntity {
    /**
     * packNo 资产包编号.
     */
    private String            packNo;
    /**
     * packName 资产包名称.
     */
    private String            packName;
    /**
     * avalAmt 资产包金额.
     */
    private Money             avalAmt;
    /**
     * status 资产包状态.
     */
    private AstPackStatusEnum status;

    public String getPackNo() {
        return packNo;
    }

    public void setPackNo(String packNo) {
        this.packNo = packNo;
    }

    public String getPackName() {
        return packName;
    }

    public void setPackName(String packName) {
        this.packName = packName;
    }

    public Money getAvalAmt() {
        return avalAmt;
    }

    public void setAvalAmt(Money avalAmt) {
        this.avalAmt = avalAmt;
    }

    public AstPackStatusEnum getStatus() {
        return status;
    }

    public void setStatus(AstPackStatusEnum status) {
        this.status = status;
    }
}
