/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanFundFileDO;
import com.abssqr.plat.common.facade.model.analyse.PlanFundFile;
import com.abssqr.plat.common.model.exception.AbssqrBizException;

/**
 *
 * @author hanfei
 * @version $Id: PlanFundFileConvert.java, v 0.1 2019-09-26 5:54 PM hanfei Exp $ 
 */
public class PlanFundFileConvert {
    
    public static PlanFundFile convertDomain(PlanFundFileDO param) {
        PlanFundFile result = new PlanFundFile();
        if (param==null){
            return result;
        }
        result.setFileName(param.getFileName());
        result.setFileId(param.getFileId());
        result.setFileMd5(param.getFileMd5());
        result.setFilePath(param.getFilePath());
        result.setUploadDate(param.getUploadDate());
        result.setUploadType(param.getUploadType());
        result.setPlanNo(param.getPlanNo());
        return result;
    }
    
    
    public static PlanFundFileDO convert2Do(PlanFundFile param) {
        if (param==null){
            throw new AbssqrBizException("参数对象不能为空");
        }
        PlanFundFileDO result = new PlanFundFileDO();
        result.setFileName(param.getFileName());
        result.setFileId(param.getFileId());
        result.setFileMd5(param.getFileMd5());
        result.setFilePath(param.getFilePath());
        result.setUploadDate(param.getUploadDate());
        result.setUploadType(param.getUploadType());
        result.setPlanNo(param.getPlanNo());
        return result;
    }
}
