/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.model.domain.ast;

import java.util.List;

import com.abssqr.plat.common.facade.model.plan.Plan;
import com.abssqr.plat.common.facade.model.plan.PlanTransferRule;
import com.abssqr.plat.common.model.domain.task.DispatcherNode;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.domain.ast: AstPoolNode.java, v 0.1 2019-09-20 11:50 bangis.wangdf Exp $
 */
public class AstPoolNode extends DispatcherNode {
    private Long       id;
    private String     astNo;
    private String     ownOrg;
    private Integer    termNo;
    private List<Plan> plans;

    public String getAstNo() {
        return astNo;
    }

    public void setAstNo(String astNo) {
        this.astNo = astNo;
    }

    public Integer getTermNo() {
        return termNo;
    }

    public void setTermNo(Integer termNo) {
        this.termNo = termNo;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public List<Plan> getPlans() {
        return plans;
    }

    public void setPlans(List<Plan> plans) {
        this.plans = plans;
    }

    public String getOwnOrg() {
        return ownOrg;
    }

    public void setOwnOrg(String ownOrg) {
        this.ownOrg = ownOrg;
    }

}
