/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.astPool;

import com.abssqr.plat.common.dal.mysql.auto.paging.AstPoolPage;
import com.abssqr.plat.common.facade.param.astPool.AstPoolPageQryParam;
import com.abssqr.plat.common.model.domain.ast.AstPoolEntity;


/**
 * 资产池仓储
 *
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.repo.astPool: AstPoolRepository.java, v 0.1 2018-01-07 下午1:04 guozhenhua Exp $
 */
public interface AstPoolRepository {

    /**
     * 资产池新增资产
     *
     * @param astPoolEntity
     */
    int create(AstPoolEntity astPoolEntity);


    AstPoolPage getPage(AstPoolPage astPoolPage);


    AstPoolEntity getByAstPoolNo(String astPoolNo);

    boolean checkAstPool(AstPoolEntity astPoolEntity);
}