/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.loanTrans;

import java.util.Date;
import java.util.List;

import com.abssqr.plat.common.model.domain.loanTrans.LoanInstalLog;
import com.general.system.common.model.Money;

/**
 * 还款计划变更流水仓储
 * @author guozhenhua
 * @version com.abssqr.plat.processor.core.service.repo: LoanInstalLogRepository.java, v 0.1 2017-12-12 下午5:28 guozhenhua Exp $
 */
public interface LoanInstalLogRepository {
    
    /**
     *  新增还款计划变更流水
     * @param list
     */
    int insertBatch(List<LoanInstalLog> list);

    /**
     * 获取机构应付金融服务费
     * @param accountDate
     * @param planNo
     * @return
     */
    Money getOrgDistPftAmt(Date accountDate, String planNo);

    /**
     *  获取机构应付金融服务费 摊出金额 19-11-29后
     * @param accountDate
     * @param planNo
     * @return
     */
    Money getOrgDistPftApporAmt(Date accountDate, String planNo);
}
