package com.abssqr.plat.test.unittest.astPool; /**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */


import com.abssqr.plat.common.facade.param.astPool.AstPoolOprParam;
import com.abssqr.plat.common.facade.service.AstPoolService;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

/**
 * 资产池新增测试
 */
public class AstPoolAddUnitTest extends BaseAutoTests {

    @Autowired
    private AstPoolService astPoolService;

    @XTest(relatePath = "unittest/astPool/add")
    @Test(dataProvider = "YamlDataProvider", description = "资产池新增")
    public void add(ICase iCase, AstPoolOprParam packOprParam) {
        try {
            astPoolService.add(packOprParam);

        } finally {
            // 校验数据
            super.checkDB(iCase);
            // super.clearDB(iCase);
        }
    }
}
