  drop table ABS_AST_POOL;


  CREATE TABLE ABS_AST_POOL
   (  ID NUMBER(10,0) NOT NULL,
      AST_POOL_NAME VARCHAR2(128) NOT NULL,
      AST_TYPE VARCHAR2(128) NOT NULL,
      AST_POOL_NO VARCHAR2(128) NOT NULL,
      GMT_CREATE DATE,
      GMT_MODIFIED DATE,
      PROD_NO VARCHAR2(128) NOT NULL,
      PRIMARY KEY (ID)
   )  ;


   COMMENT ON COLUMN "BB_DEV"."ABS_AST_POOL"."ID" IS '主键';

   COMMENT ON COLUMN "BB_DEV"."ABS_AST_POOL"."AST_POOL_NAME" IS '资产池名称';

   COMMENT ON COLUMN "BB_DEV"."ABS_AST_POOL"."AST_TYPE_CODE" IS '准入资产代码';

   COMMENT ON COLUMN "BB_DEV"."ABS_AST_POOL"."AST_POOL_NO" IS '资产池编号';

   COMMENT ON COLUMN "BB_DEV"."ABS_AST_POOL"."GMT_CREATE" IS '创建时间';

   COMMENT ON COLUMN "BB_DEV"."ABS_AST_POOL"."GMT_MODIFIED" IS '更新时间';

   COMMENT ON COLUMN "BB_DEV"."ABS_AST_POOL"."PROD_NO" IS '外部产品码';


   CREATE UNIQUE INDEX UK_ABS_AST_POOL_NO ON ABS_AST_POOL (AST_POOL_NO);

   CREATE INDEX IDX_ABS_AST_POOL_NO ON ABS_AST_POOL (AST_POOL_NO);


   drop sequence SEQ_ABS_AST_POOL;

   CREATE SEQUENCE  SEQ_ABS_AST_POOL MINVALUE 1 MAXVALUE 9999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 ORDER  NOCYCLE ;



